package com.fjhx.service.abnormal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.abnormal.AbnormalDetails;
import com.fjhx.params.abnormal.AbnormalDetailsVo;

import java.util.Map;

/**
 * <p>
 * 异常处理详情 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-09
 */
public interface AbnormalDetailsService extends BaseService<AbnormalDetails> {

    Page<Map<String, Object>> getPage(Condition condition);

    void add(AbnormalDetailsVo abnormalDetailsVo);

    void edit(AbnormalDetailsVo abnormalDetailsVo);

    void delete(AbnormalDetailsVo abnormalDetailsVo);

}
